Report Outgoing Error
curl --request POST \
--url https://api.procuros.io/v2/errors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
'import requests
url = "https://api.procuros.io/v2/errors"
payload = {
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({errorReason: '<string>', errorContext: {}, transactionIdentifier: 'IV-0001'})
};
fetch('https://api.procuros.io/v2/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.procuros.io/v2/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'errorReason' => '<string>',
'errorContext' => [
],
'transactionIdentifier' => 'IV-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.procuros.io/v2/errors"
payload := strings.NewReader("{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.procuros.io/v2/errors")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.procuros.io/v2/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}"
response = http.request(request)
puts response.read_body{
"message": "OK.",
"errorUrl": "https://portal.procuros.io/.../errors/{{procurosErrorId}}"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Outgoing Transactions
Report Outgoing Error
If you encounter an error while building an outgoing transaction payload, you can report it here. The error will enter the same exception handling process as an error reported while processing incoming transactions.
POST
/
v2
/
errors
Report Outgoing Error
curl --request POST \
--url https://api.procuros.io/v2/errors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
'import requests
url = "https://api.procuros.io/v2/errors"
payload = {
"errorReason": "<string>",
"errorContext": {},
"transactionIdentifier": "IV-0001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({errorReason: '<string>', errorContext: {}, transactionIdentifier: 'IV-0001'})
};
fetch('https://api.procuros.io/v2/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.procuros.io/v2/errors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'errorReason' => '<string>',
'errorContext' => [
],
'transactionIdentifier' => 'IV-0001'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.procuros.io/v2/errors"
payload := strings.NewReader("{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.procuros.io/v2/errors")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.procuros.io/v2/errors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"errorReason\": \"<string>\",\n \"errorContext\": {},\n \"transactionIdentifier\": \"IV-0001\"\n}"
response = http.request(request)
puts response.read_body{
"message": "OK.",
"errorUrl": "https://portal.procuros.io/.../errors/{{procurosErrorId}}"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}{
"message": "<string>"
}Body
application/json
Provide if error can be assigned to a specific outgoing transaction.
Available options:
ORDER, ORDER_RESPONSE, SHIPPING_NOTICE, INVOICE, CREDIT_NOTE, DISPATCH_INSTRUCTION, DISPATCH_INSTRUCTION_RESPONSE, RECEIVAL_NOTICE, REMITTANCE_ADVICE, PRODUCT_CATALOG, INVENTORY_REPORT, SALES_REPORT, WORK_ORDER, STOCK_MOVEMENT Was this page helpful?